stable-audio
Setup your API Key
API Schemas
post
Body
modelstring · enumRequiredPossible values:
promptstringRequired
The prompt to generate audio.
seconds_startinteger · min: 1 · max: 47Optional
The start point of the audio clip to generate.
seconds_totalinteger · min: 1 · max: 47OptionalDefault:
The duration of the audio clip to generate.
30stepsinteger · min: 1 · max: 1000OptionalDefault:
The number of steps to denoise the audio.
100Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated audio.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: post
/v2/generate/audio200Success
Retrieve the generated music sample from the server
get
Authorizations
AuthorizationstringRequired
Bearer key
Query parameters
generation_idstringRequiredExample:
<REPLACE_WITH_YOUR_GENERATION_ID>Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated audio.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: get
/v2/generate/audio200Success
Full Example: Generating and Retrieving the Audio From the Server
Last updated
Was this helpful?